SignSecure Sign PadSignSecure Sign Pad
Envelopes

List All Envelopes

List all envelopes with pagination and optional filters. When using an organization API key, only envelopes belonging to that organization are returned.

GET
/envelopes

List all envelopes with pagination and optional filters. When using an organization API key, only envelopes belonging to that organization are returned.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Query Parameters

page?integer

Page number

limit?integer

Items per page

status?string

Filter by envelope status

search?string

Search by envelope title

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/envelopes"
{
  "items": [
    {
      "id": "string",
      "title": "string",
      "status": "draft",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "totalRecipients": 0,
      "completedActions": 0
    }
  ],
  "pageInfo": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0,
    "hasNext": true,
    "hasPrevious": true
  }
}
{
  "code": "VALIDATION_ERROR",
  "message": "page: Expected number, received string",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z",
  "details": {
    "validation": {
      "fieldErrors": {
        "page": [
          "Expected number, received string"
        ]
      },
      "formErrors": [],
      "issues": [
        {
          "path": "page",
          "message": "Expected number, received string",
          "code": "invalid_type"
        }
      ]
    }
  }
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}